Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354559 - scl shell function not properly defined
Summary: scl shell function not properly defined
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: scl-utils
Version: 25
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 14:51 UTC by Bill C. Riemers
Modified: 2017-12-12 10:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:32:22 UTC


Attachments (Terms of Use)

Description Bill C. Riemers 2016-07-11 14:51:33 UTC
Description of problem:

An annoying bug is the scl shell function is not properly defined.   A consiquence is everytime a command runs that calls a child shell there is a potential for an error message that will possibly cause the command to fail.

Version-Release number of selected component (if applicable):

scl-utils-2.0.1-7.fc23.x86_64

How reproducible:

100% 

Steps to Reproduce:
1. Try something like "mvn package" of a maven2 based project.
2.
3.

Actual results:

[INFO] bash: scl: line 1: syntax error: unexpected end of file
[INFO] bash: error importing function definition for `BASH_FUNC_scl'
[INFO] /bin/sh: scl: line 1: syntax error: unexpected end of file
[INFO] /bin/sh: error importing function definition for `BASH_FUNC_scl'

repeated hundreds of times in the logfile, and the build fails.

Expected results:

This error message or failure should not occur.


Additional info:

Workaround:  unset -f scl

BTW.  I expect the problem is he comments inside the function declaration confuses the import processing, but I'm not really sure as scl is not a command I regular use.  It would probably be better just to make this a shell script installed in /usr/bin , as that would avoid the whole issue of the feature only working in bash, and being so easily broken...

Comment 2 Fedora Admin XMLRPC Client 2016-10-12 08:02:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2016-11-25 09:25:00 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2016-12-20 21:09:56 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Honza Horak 2017-02-14 17:22:47 UTC
There was no release after this issue was reported, so re-opening to check whether it was properly fixed or not. My suspicion is it was not.

Comment 6 Fedora End Of Life 2017-11-16 19:25:31 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:32:22 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.